//
//  ViewController.m
//  MRZSampleApp
//
//  Created by Filip Siljavski on 10/01/19.
//  Copyright © 2019 Scansolutions. All rights reserved.
//

#import "ViewController.h"
#import <MRZScannerSDK/MRZScannerSDK.h>

@interface ViewController ()<MRZScannerDelegate>

@end

@implementation ViewController

MRZScannerController * mrzScannerController;

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (IBAction)startScannerBtnClick:(id)sender {
    [self startScanner];
}

- (void) startScanner {
    mrzScannerController = [MRZScannerController new];
    [MRZScannerController registerLicenseWithKey:@"Licence_key"];
    mrzScannerController.delegate = self;
    
    UIViewController *currentViewController = self.navigationController ? self.navigationController : self;
    [currentViewController addChildViewController:mrzScannerController];
    [mrzScannerController initUI:currentViewController];
}

- (void) successfulScanWithResult:(MRZResultDataModel*)result {
    UIAlertController * alertController = [UIAlertController alertControllerWithTitle:result.fullName
                                                                              message:result.document_number
                                                                       preferredStyle:UIAlertControllerStyleAlert];
    
    UIAlertAction *actionClose = [UIAlertAction actionWithTitle:@"Close" style:UIAlertActionStyleCancel handler:^(UIAlertAction * _Nonnull action) {
        [mrzScannerController closeScanner];
    }];
    UIAlertAction *actionResume = [UIAlertAction actionWithTitle:@"Resume" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
        [mrzScannerController resumeScanner];
    }];
    
    [alertController addAction:actionClose];
    [alertController addAction:actionResume];
    
    [self presentViewController:alertController animated:YES completion:nil];
}

@end
